# Set root category priority to INFO and its only appender to CONSOLE.
log4j.rootCategory=INFO, CONSOLE
#log4j.rootCategory=INFO, CONSOLE, LOGFILE
#log4j.logger.uk.ac.vamsas=INFO, CONSOLE
#log4j.logger.uk.ac.vamsas.client.picking.SocketManager=INFO, CONSOLE
#log4j.logger.uk.ac.vamsas.client.picking=INFO, CONSOLE
#log4j.logger.uk.ac.vamsas.Vobject=INFO, CONSOLE
#log4j.logger.uk.ac.vamsas.client.simpleclient=DEBUG

#log4j.logger.uk.ac.vamsas.client.simpleclient=DEBUG
#log4j.logger.uk.ac.vamsas.client.simpleclient=DEBUG,CONSOLE
# Set the enterprise logger category to FATAL and its only appender to CONSOLE.
log4j.logger.org.apache.axis.enterprise=FATAL, CONSOLE
# CONSOLE is set to be a ConsoleAppender using a PatternLayout.
log4j.appender.CONSOLE=org.apache.log4j.ConsoleAppender
#log4j.appender.CONSOLE.Threshold=INFO
log4j.appender.CONSOLE.layout=org.apache.log4j.PatternLayout
#log4j.appender.CONSOLE.layout.ConversionPattern=%d{ABSOLUTE} %-4r %c %x - %m%n
log4j.appender.CONSOLE.layout.ConversionPattern=%d{ABSOLUTE} %-4r %L %x - %m%n

# LOGFILE is set to be a File appender using a PatternLayout.
log4j.appender.LOGFILE=org.apache.log4j.FileAppender
log4j.appender.LOGFILE.File=axis.log
log4j.appender.LOGFILE.Append=true
log4j.appender.LOGFILE.Threshold=INFO
log4j.appender.LOGFILE.layout=org.apache.log4j.PatternLayout
log4j.appender.LOGFILE.layout.ConversionPattern=%-4r [%t] %-5p %c %x - %m%n

log4j.logger.uk.ac.vamsas.client.SessionLog=INFO, SESSIONLOG

# SESSIONFILE is the session file for a vamsas session.
log4j.appender.SESSIONLOG=org.apache.log4j.FileAppender
log4j.appender.SESSIONLOG.File=SessionLog.log
log4j.appender.SESSIONLOG.Append=true
log4j.appender.SESSIONLOG.Threshold=INFO
log4j.appender.SESSIONLOG.layout=org.apache.log4j.PatternLayout
# need to optimise this a bit.
log4j.appender.SESSIONLOG.layout.ConversionPattern=%-4r [%t] %-5p %c %x - %m%n
